%define debug 0
%define final 0
%define make_cvs 1

%define qt_version 3.3.6

%define libtool 1
%define arts 1

%define redhatify 1

%define appdir %{_datadir}/applications/kde

Version: 3.5.4
Release: 2%{?dist}
Epoch: 6
Name: kdemultimedia
Summary: Multimedia applications for the K Desktop Environment (KDE).
Group: Applications/Multimedia
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
License: GPL
Url: http://www.kde.org
Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}-patched.tar.bz2
Patch1: kde-libtool.patch
Patch2: kdemultimedia-3.5.3-config.patch
Patch3: kdemultimedia-3.4.0-xdg.patch
Patch4: kdemultimedia-3.5.3-examples.patch

# upstream patches
Patch100: kdemultimedia-3.5.3-noatun.patch

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires: kdebase >= 6:%{version}

BuildRequires: zlib-devel
BuildRequires: kdebase-devel
BuildRequires: perl
BuildRequires: libvorbis-devel
BuildRequires: audiofile-devel
BuildRequires: glib2-devel
BuildRequires: desktop-file-utils
BuildRequires: libtheora-devel
BuildRequires: flac-devel
%if %{make_cvs}
BuildRequires: autoconf automake libtool
%endif
BuildRequires: alsa-lib-devel >= 1.0.2
BuildRequires: cdparanoia
BuildRequires: cdparanoia-devel

%description
The K Desktop Environment (KDE) is a GUI desktop for the X Window
System. The kdemultimedia package contains multimedia applications for
KDE, including:

  kmid, a midi player
  kmix, an audio mixer
  arts, additional functionality for the aRts sound system
  kaboodle, a media player
  noatun, a media player
  krec, a recording tool
  kscd, an Audio-CD player
  kaudiocreator, a graphical frontend for audio file creation 


%package devel
Summary: Development files for aRts plugins
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: kdebase-devel

%description devel
Development files for aRts and noatun plugins.
Install kdemultimedia-devel if you wish to develop or compile any
applications using aRtsbuilder, aRtsmidi, aRtskde, aRts modules or
noatun plugins.

%prep
%setup -q -n %{name}-%{version}-patched
%patch2 -p1 -b .config
%patch3 -p1 -b .xdg
%patch4 -p1 -b .examples

# upstream patches
%patch100 -p1 -b .noatun

%if %{make_cvs}
   make -f admin/Makefile.common cvs
%endif

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
   --enable-new-ldflags \
   --disable-dependency-tracking \
   --with-extra-includes=%{_includedir}/cdda \
   --includedir=%{_includedir}/kde \
   --disable-gcc-hidden-visibility \
   --with-cdparanoia \
   --with-flac \
   --with-theora \
   --with-vorbis \
%if %{arts} == 0
   --without-arts \
%endif
   --with-alsa \
   --with-arts-alsa \
   --with-xinerama \
%if %{debug} == 0
   --disable-debug \
   --without-debug \
   --disable-warnings \
%endif
%if %{final}
   --enable-final \
%endif
   --disable-rpath


make %{?_smp_mflags}
make %{?_smp_mflags} -C kaudiocreator

%install
rm -rf %{buildroot} 

make install DESTDIR=%{buildroot}
make -C kaudiocreator DESTDIR=%{buildroot} install

%if %{redhatify}
  for f in %{buildroot}%{appdir}/*.desktop ; do
    if [ -f %{buildroot}%{appdir}/*.desktop ] ; then
      echo "OnlyShowIn=KDE;" >> $f
    fi
  done
%endif

# don't make these world-writeable
chmod go-w %{buildroot}%{_datadir}/apps/kscd/*

cd %{buildroot}%{_docdir}/HTML/en
for i in *; do
   rm -f $i/common
   ln -sf ../common $i
done

%post
/sbin/ldconfig
for f in crystalsvg hicolor locolor ; do
  touch --no-create %{_datadir}/icons/$f 2> /dev/null ||:
  gtk-update-icon-cache -q %{_datadir}/icons/$f 2> /dev/null ||:
done
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%postun
/sbin/ldconfig
for f in crystalsvg hicolor locolor ; do
  touch --no-create %{_datadir}/icons/$f 2> /dev/null ||:
  gtk-update-icon-cache -q %{_datadir}/icons/$f 2> /dev/null ||:
done
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/etc/xdg/menus/applications-merged/*
%doc %{_docdir}/HTML/en/artsbuilder
%exclude %doc %{_docdir}/HTML/en/juk
%doc %{_docdir}/HTML/en/kaboodle
%doc %{_docdir}/HTML/en/kaudiocreator
%doc %{_docdir}/HTML/en/kdemultimedia-patched-apidocs
%doc %{_docdir}/HTML/en/kioslave
%doc %{_docdir}/HTML/en/kmid
%doc %{_docdir}/HTML/en/kmix
%doc %{_docdir}/HTML/en/krec
%doc %{_docdir}/HTML/en/kscd
%doc %{_docdir}/HTML/en/noatun
%{_libdir}/mcop/*
%{_libdir}/*.la
%{_libdir}/libkdeinit_*.so
%{_libdir}/lib*.so.*
%{_libdir}/libartseffects.so
%{_libdir}/libnoatunarts.so
%{_libdir}/liboggarts.so
%{_libdir}/libwinskinvis.so
%{_libdir}/kde3/*
%{_libdir}/kconf_update_bin/*
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/apps/*
%{_datadir}/autostart/*
%{_datadir}/config.kcfg/*
%{_datadir}/desktop-directories/*
%{_datadir}/icons/*/*/*/*
%{_datadir}/mimelnk/*
%{_datadir}/services/*
%{_datadir}/servicetypes/*

%files devel
%defattr(-,root,root)
%{_includedir}/kde/*
%{_libdir}/*.so
%exclude %{_libdir}/libkdeinit_*
%exclude %{_libdir}/libartseffects.so
%exclude %{_libdir}/libnoatunarts.so
%exclude %{_libdir}/liboggarts.so
%exclude %{_libdir}/libwinskinvis.so

%changelog
* Wed Mar 14 2007 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Wed Sep 06 2006 Than Ngo <than@redhat.com> 6:3.5.4-2
- fix file conflict #202944

* Thu Aug 10 2006 Than Ngo <than@redhat.com> 6:3.5.4-1
- rebuild

* Mon Jul 24 2006 Than Ngo <than@redhat.com> 6:3.5.4-0.pre1
- prerelease of 3.5.4 (from the first-cut tag)

* Mon Jul 17 2006 Than Ngo <than@redhat.com> 6:3.5.3-7
- rebuild

* Tue Jul 11 2006 Than Ngo <than@redhat.com> 6:3.5.3-6
- fix #197999 – install kconf_update applications in $(libdir)/kconf_update_bin

* Mon Jun 26 2006 Than Ngo <than@redhat.com> 6:3.5.3-5
- apply patch to check return value

* Mon Jun 26 2006 Than Ngo <than@redhat.com> 6:3.5.3-4
- fix #196605, BR: cdparanoia

* Thu Jun 08 2006 Than Ngo <than@redhat.com> 6:3.5.3-3
- move only *.so symlinks to -devel subpackage

* Wed Jun  7 2006 Jeremy Katz <katzj@redhat.com> - 6:3.5.3-2
- move .so symlinks to -devel subpackage

* Fri Jun 02 2006 Than Ngo <than@redhat.com> 6:3.5.3-1
- update to 3.5.3

* Tue May 02 2006 Than Ngo <than@redhat.com> 6:3.5.2-2
- add buildrequires on libtheora-devel #190321
- add buildrequires on libXxf86dga-devel #128599

* Tue Apr 04 2006 Than Ngo <than@redhat.com> 6:3.5.2-1
- update to 3.5.2

* Wed Feb 22 2006 Than Ngo <than@redhat.com> 6:3.5.1-2
- add missing protocol audiocd #176637
- remove useless rpm macro #180009
- add requires on alsa-lib-devel #178734

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 6:3.5.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 6:3.5.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Thu Feb 02 2006 Than Ngo <than@redhat.com> 6:3.5.1-1 
- 3.5.1

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Nov 29 2005 Than Ngo <than@redhat.com> 6:3.5.0-1
- 3.5 final

* Tue Nov 15 2005 Than Ngo <than@redhat.com> 6:3.4.92-2 
- get rid of redundant buildrequires

* Mon Oct 24 2005 Than Ngo <than@redhat.com> 6:3.4.92-1
- update to 3.5 beta 2

* Fri Sep 30 2005 Than Ngo <than@redhat.com> 6:3.4.91-1
- update to KDE 3.5 beta1

* Mon Aug 15 2005 Than Ngo <than@redhat.com> 6:3.4.2-2
- apply CVS patch to fix kscd crash

* Tue Aug 02 2005 Than Ngo <than@redhat.com> 6:3.4.2-1
- update to 3.4.2

* Tue Jun 28 2005 Than Ngo <than@redhat.com> 6:3.4.1-1 
- 3.4.1

* Tue May 03 2005 Than Ngo <than@redhat.com> 6:3.4.0-3
- fix kde-multimedia-music.menu

* Wed Mar 30 2005 Than Ngo <than@redhat.com> 6:3.4.0-2
- buildrequires libmusicbrainz, libtunepimp if Juk enable

* Fri Mar 18 2005 Than Ngo <than@redhat.com> 6:3.4.0-1
- 3.4.0

* Fri Mar 04 2005 Than Ngo <than@redhat.com> 6:3.4.0-0.rc1.2
- rebuilt against gcc-4.0.0-0.31

* Mon Feb 28 2005 Than Ngo <than@redhat.com> 6:3.4.0-0.rc1.1
- KDE 3.4.0 rc1

* Fri Feb 18 2005 Than Ngo <than@redhat.com> 6:3.3.92-0.1
- KDE-3.4 beta2

* Mon Feb 14 2005 Than Ngo <than@redhat.com> 6:3.3.2-0.2
- apply Steve cleanup patch

* Sun Dec 05 2004 Than Ngo <than@redhat.com> 6:3.3.2-0.1
- update to 3.3.2

* Sat Oct 16 2004 Than Ngo <than@redhat.com> 6:3.3.1-2
- rhel rebuilt

* Wed Oct 13 2004 Than Ngo <than@redhat.com> 6:3.3.1-1
- update to 3.3.1

* Sun Sep 26 2004 Rik van Riel <riel@redhat.com> 3.3.0-2
- remove duplicate info about kscd from description (bz #99193)

* Wed Aug 25 2004 Than Ngo <than@redhat.com> 3.3.0-1
- update to 3.3.0

* Tue Aug 10 2004 Than Ngo <than@redhat.com> 3.3.0-0.1.rc2
- update to 3.3.0 rc2

* Fri Jul 30 2004 Than Ngo <than@redhat.com> 3.2.92-1
- update to 3.3 Beta2

* Mon Jul 05 2004 Than Ngo <than@redhat.com> 6:3.2.91-1
- update to 3.3 Beta 1

* Sat Jun 19 2004 Than Ngo <than@redhat.com> 3.2.3-1
- update to 3.2.3

* Wed Jun 02 2004 Than Ngo <than@redhat.com> 6:3.2.2-3
- remove -O0 on s390/s390x/ia64

* Wed May 05 2004 Than Ngo <than@redhat.com> 6:3.2.2-2
- cleanup KDE/GNOME menu
- add obsolete juk

* Wed Apr 14 2004 Than Ngo <than@redhat.com> 6:3.2.2-1
- 3.2.2 release

* Wed Apr 07 2004 Than Ngo <than@redhat.com> 3.2.1-2.1
- add Buildrequires on cdparanoia-devel if cdparanoia is installed, bug #120245
- fix gcc build problem

* Mon Mar 29 2004 Than Ngo <than@redhat.com> 3.2.1-2
- cleanup KDE/GNOME menu

* Sun Mar 07 2004 Than Ngo <than@redhat.com> 6:3.2.1-1
- 3.2.1 release

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 05 2004 Than Ngo <than@redhat.com> 6:3.2.0-0.3
- 3.2.0 release
- build against qt 3.3.0

* Mon Feb 02 2004 Than Ngo <than@redhat.com> 6:3.1.95-0.2
- add Buildrequires: libmng-devel

* Wed Jan 21 2004 Than Ngo <than@redhat.com> 6:3.1.95-0.1
- KDE 3.2 RC1

* Mon Dec 15 2003 Than Ngo <than@redhat.com> 6:3.1.94-0.2
- rebuilt with new alsa-lib

* Wed Dec 03 2003 Than Ngo <than@redhat.com> 6:3.1.94-0.1
- KDE 3.2 Beta2

* Thu Nov 27 2003 Than Ngo <than@redhat.com> 6:3.1.93-0.2
- enable alsa support
- get rid of rpath

* Tue Nov 11 2003 Than Ngo <than@redhat.com> 6:3.1.93-0.1
- 3.1.93 (KDE 3.2 Beta1)
- cleanup rpm file list

* Mon Sep 29 2003 Than Ngo <than@redhat.com> 6:3.1.4-1
- 3.1.4

* Mon Sep 15 2003 Than Ngo <than@redhat.com> 6:3.1.3-5
- Fixed segmentation fault when using gcc 3.3 (bug #104277)

* Fri Aug 08 2003 Than Ngo <than@redhat.com> 6:3.1.3-4.1
- add audiofile-devel in buildrequires

* Mon Aug 04 2003 Than Ngo <than@redhat.com> 6:3.1.3-4
- rebuild

* Mon Aug 04 2003 Than Ngo <than@redhat.com> 6:3.1.3-3
- remove requires timidity++ on RHL3

* Sat Aug 02 2003 Than Ngo <than@redhat.com> 6:3.1.3-2
- fix build problem on x86_64

* Thu Jul 31 2003 Than Ngo <than@redhat.com> 6:3.1.3-1
- 3.1.3
- add patch file for building with gcc 3.3

* Wed Jun 25 2003 Than Ngo <than@redhat.com> 6:3.1.2-6
- add workaround for memory problem in buildsystem on s390x

* Wed Jun 25 2003 Than Ngo <than@redhat.com> 6:3.1.2-5
- rebuilt

* Wed Jun 11 2003 Than Ngo <than@redhat.com> 6:3.1.2-4
- dependencies for kmidi (bug #92218)

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 27 2003 Than Ngo <than@redhat.com> 6:3.1.2-2
- rebuild

* Tue May 13 2003 Than Ngo <than@redhat.com> 6:3.1.2-0.9
- 3.1.2
- fixed file list (bug #83911)

* Tue Apr 22 2003 Than Ngo <than@redhat.com> 6:3.1.1-3
- remove build workaround on ppc

* Tue Apr  1 2003 Than Ngo <than@redhat.com> 6:3.1.1-2
- build with -O0 on ppc, gcc bug

* Wed Mar 19 2003 Than Ngo <than@redhat.com> 6:3.1.1-1
- 3.1.1 release

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Thu Feb 20 2003 Than Ngo <than@redhat.com> 6:3.1-3
- rebuid against gcc 3.2.2 to fix dependency in la file

* Thu Feb 13 2003 Thomas Woerner <twoerner@redhat.com> 6:3.1-2
- fixed arts bug #82750, requires rebuild of kdemultimedia
- fixed reqs

* Tue Jan 28 2003 Than Ngo <than@redhat.com> 6:3.1-1
- 3.1 release

* Mon Jan 27 2003 Than Ngo <than@redhat.com> 6:3.1-0.7
- rc7
- cleanup specfile

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 6:3.1-0.6
- rebuild

* Mon Jan 13 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.5
- rc6
- fixed epoch for devel package
- no global cddb directory anymore
- removed size_t check
- exclude ia64

* Tue Jan 07 2003 Elliot Lee <sopwith@redhat.com> 3.1-0.4
- Don't exclude Alpha
- Instead of turning off detection of unpackaged files/missing doc files,
  fix the problems.

* Wed Nov 27 2002 Than Ngo <than@redhat.com> 3.1-0.3
- get rid of sub packages

* Mon Nov 25 2002 Than Ngo <than@redhat.com> 3.1-0.2
- fix desktop file issue

* Sun Nov 24 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update to 3.1 rc4
- adjust some patch files for 3.1
- get rid of mp3 support

* Tue Nov  6 2002 Than Ngo <than@redhat.com> 3.0.4-2
- add missing ktimidity
- cleaned up some rpm building problems

* Mon Oct 14 2002 Than Ngo <than@redhat.com> 3.0.4-1
- 3.0.4

* Sat Oct 05 2002 Than Ngo <than@redhat.com> 3.0.3-5
- added a patch file to fix Konquror crahes when mp3/mpg file is clicked (bug #72161,#74959,#74850)

* Wed Sep 11 2002 Than Ngo than@redhat.com> 3.0.3-4.1
- cleanup specfile

* Thu Aug 29 2002 Than Ngo than@redhat.com> 3.0.3-4
- fixed category issue

* Tue Aug 27 2002 Phil Knirsch <pknirsch@redhat.com> 3.0.3-3
- Removed all mp3 related code

* Fri Aug 23 2002 Phil Knirsch <pknirsch@redhat.com> 3.0.3-2
- Disable parallel build as it is currently broken

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.0.3-1
- 3.0.3
- build using gcc 3.2-0.3

* Thu Aug  8 2002 Than Ngo <than@redhat.com> 3.0.2-4
- desktop file issues

* Mon Jul 22 2002 Tim Powers <timp@redhat.com> 3.0.2-3
- rebuild using gcc-3.2-0.1

* Sat Jul 20 2002 Than Ngo <than@redhat.com> 3.0.2-2
- fix desktop files issue

* Wed Jul 10 2002 Than Ngo <than@redhat.com> 3.0.2-1
- 3.0.2
- use desktop-file-install

* Thu Jun 06 2002 Than Ngo <than@redhat.com> 3.0.1-3
- rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri May 10 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.1-1
- 3.0.1

* Wed Apr 17 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-3
- Make sure we link to the just built libraries instead of libs in the
  build environment from older releases

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-2
- Update ABI
- Add cdrecord/mkisofs requirements for KOnCD (#63606)
- Tell koncd where to find cdrecord and mkisofs (#63604)

* Wed Mar 27 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-1
- 3.0.0 final

* Thu Mar 21 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020321.1
- Adapt spec file to recent changes in base

* Thu Mar  7 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020307.1
- Update
- Rename subpackages

* Fri Feb  1 2002 Tim Powers <timp@redhat.com>
- kdemultimedia-devel shouldn't obsolete itself
- temporarily ExcludeArch ia64

* Mon Aug  6 2001 Than Ngo <than@redhat.com> 2.2-1
- update to 2.2 release

* Fri Aug  3 2001 Than Ngo <than@redhat.com> 2.2-0.cvs20010803.1
- update
- fix bug #24132
- get rid of aktion

* Sun Jul 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010722.1
- Update
- move devel files to a separate package
- Add BuildPrereqs (#44914)

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1-respin

* Tue Feb 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1

* Tue Feb 13 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Remove copyrighted midi files (#26431)
- Use a real file list rather than find/sed (#26565)
- Fix build with current glibc

* Thu Feb  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Replace absolute symlinks with relative ones (#24794)
- Don't use more than 2 CPUs at build time to shut up asok

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- Don't optimize on sparc, compiler breakage

* Wed Dec 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to CVS
- re-exclude ia64, the compiler can't handle this package

* Sun Oct 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Tue Oct  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0

* Thu Aug 24 2000 Than Ngo <than@redhat.com>
- update kdemultimedia-1.93
- fix to rebuilt with gcc-2.96

* Mon Aug  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new version

* Wed Jul 19 2000 Than Ngo <than@redhat.de>
- fix to build against gcc-2.96-40 on sparc, alpha
- disable motif

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- SMPify
- don't hardcode QTDIR

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use gcc 2.96
- new snapshot

* Sun Jul  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use kernelcc
- new snapshot

* Fri Jun 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Obsoletes: aktion (it's included now)

* Wed Jun 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch ia64 for now

* Sat Apr  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 snapshot

* Tue Feb 29 2000 Preston Brown <pbrown@redhat.com>
- fix localkscd patch, broken since 6.1 (#9404).

* Fri Feb  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Remove (world!) write permissions to %{prefix}/share/apps/kscd/cddb/*
- fix description

* Thu Feb  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Change the kmix error message (Bug #9065)
- Fix kmidi behavior when trying to play an empty playlist (Bug #8843)
- Fix compilation with kernel 2.3.x headers

* Sat Jan  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- current version from KDE_1_1_BRANCH
- work around make install-strip breakage
- Rebuild for 6.2

* Sat Sep 25 1999 Preston Brown <pbrown@redhat.com>
- patched kscd to use local user directory for cddb entries

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- mark doc files as such

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- 1.1.2 release.

* Mon Jun 14 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Tue Apr 13 1999 Preston Brown <pbrown@redhat.com>
- snapshot from today fixed kmid freeze issues

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- complies w/new RPM, newer libstdc++

* Wed Jan 06 1999 Preston Brown <pbrown@redhat.com>
- re-merged in updates from Duncan Haldane
